xmltooling 1.5.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
xmltooling::SOAPTransport::Address Struct Reference

A simple structure to capture SOAP addressing information. More...

`#include <xmltooling/soap/SOAPTransport.h>`

## Public Member Functions
| Address (const char *from, const char *to, const char *endpoint)
| Constructor. More...

## Public Attributes
const char * | m_from
| Name of sender. More...
const char * | m_to
| Name of recipient. More...
const char * | m_endpoint
| Endpoint URL. More...

## Detailed Description

A simple structure to capture SOAP addressing information.

## Constructor & Destructor Documentation

xmltooling::SOAPTransport::Address::Address | ( | const char * | from,
|  | const char * | to,
|  | const char * | endpoint
| ) |  |
| inline

Constructor.

Parameters

  from | name of sender
  to | name of recipient
  endpoint | endpoint URL

## Member Data Documentation

const char* xmltooling::SOAPTransport::Address::m_endpoint

Endpoint URL.

const char* xmltooling::SOAPTransport::Address::m_from

Name of sender.

const char* xmltooling::SOAPTransport::Address::m_to

Name of recipient.

The documentation for this struct was generated from the following file:

- xmltooling/soap/SOAPTransport.h